Zum Hauptinhalt springen
POST
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
/
rows
/
draft
/
batch
/
purge
Löscht Zeilen dauerhaft
curl --request POST \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/draft/batch/purge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
import requests

url = "https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/draft/batch/purge"

payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: ['<string>']})
};

fetch('https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/draft/batch/purge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

tableIdOrName
string
erforderlich

Die ID oder der Name der Tabelle

Body

application/json
inputs
string[]
erforderlich

Antwort

Zuletzt geändert am 1. April 2026